diff options
author | Natanael Copa <ncopa@alpinelinux.org> | 2009-07-24 08:01:31 +0000 |
---|---|---|
committer | Natanael Copa <ncopa@alpinelinux.org> | 2009-07-24 08:01:31 +0000 |
commit | b70981b68efcce5256eb11c6cd26ae123b10b6ea (patch) | |
tree | a38be6efae5e2ba15c2e839504632f9b7bfd5f91 /main/libogg | |
parent | 2b4df81538b8398442d5296650905c70341dd8d3 (diff) | |
download | aports-b70981b68efcce5256eb11c6cd26ae123b10b6ea.tar.bz2 aports-b70981b68efcce5256eb11c6cd26ae123b10b6ea.tar.xz |
moved extra/* to main/
and fixed misc build issues
Diffstat (limited to 'main/libogg')
-rw-r--r-- | main/libogg/APKBUILD | 25 | ||||
-rw-r--r-- | main/libogg/nocxx.patch | 15 |
2 files changed, 40 insertions, 0 deletions
diff --git a/main/libogg/APKBUILD b/main/libogg/APKBUILD new file mode 100644 index 0000000000..8cfbf96871 --- /dev/null +++ b/main/libogg/APKBUILD @@ -0,0 +1,25 @@ +# Contributor: Mika Havela <mika.havela@gmail.com> +# Maintainer: Natanael Copa <ncopa@alpinelinux.org> + +pkgname=libogg +pkgver=1.1.3 +pkgrel=0 +pkgdesc="Ogg bitstream and framing library" +url="http://xiph.org/ogg/" +license="as-is" +depends= +subpackages="$pkgname-doc $pkgname-dev" +source="http://downloads.xiph.org/releases/ogg/$pkgname-$pkgver.tar.gz + " + +build() { + cd "$srcdir/$pkgname-$pkgver" + + ./configure --prefix=/usr + make || return 1 + make -j1 DESTDIR="$pkgdir" install + + install -Dm644 COPYING "$pkgdir"/usr/share/licenses/$pkgname/COPYING +} + +md5sums="eaf7dc6ebbff30975de7527a80831585 libogg-1.1.3.tar.gz" diff --git a/main/libogg/nocxx.patch b/main/libogg/nocxx.patch new file mode 100644 index 0000000000..beb1ab9006 --- /dev/null +++ b/main/libogg/nocxx.patch @@ -0,0 +1,15 @@ +--- a/configure 2004-12-07 21:34:23.205172545 +0000 ++++ b/configure 2004-12-07 21:37:17.726654782 +0000 +@@ -5148,10 +5148,8 @@ + : + else + { { echo "$as_me:$LINENO: error: C++ preprocessor \"$CXXCPP\" fails sanity check +-See \`config.log' for more details." >&5 +-echo "$as_me: error: C++ preprocessor \"$CXXCPP\" fails sanity check +-See \`config.log' for more details." >&2;} +- { (exit 1); exit 1; }; } ++See \`config.log' for more details." >&5;} ++ { echo "C++ sucks, ignoring ..." >&5; }; } + fi + + ac_ext=cc |